%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		drwright
Version:	3.5.0
Release:	%mkrel 4
Summary:	Typing monitor to force typing breaks
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# http://git.gnome.org/browse/drwright/patch/?id=6fb8014c2474e086a66d1474bd771d256e79be8d
Patch0:		drwright-3.5.0-fix-build.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	libxml2-utils

%description
DrWright monitors your typing and forces you to periodically take typing
breaks.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_libexecdir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/gnome-typing-break-panel.desktop
%{_datadir}/icons/hicolor/*/apps/typing-monitor.*
%{_libdir}/control-center-1/panels/libdrwrightccp.so
%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.5.0-4.mga3
+ Revision: 349132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 3.5.0-3.mga3
+ Revision: 339607
- Fix for _libdir != _libexecdir

* Thu Sep 27 2012 sander85 <sander85> 3.5.0-2.mga3
+ Revision: 298727
- Add patch from upstream to fix build

* Wed Jun 27 2012 ovitters <ovitters> 3.5.0-1.mga3
+ Revision: 264553
- update file list
- br xmllint
- drop upstreamed patch
- new version 3.5.0
- add patch to fix Keyword .desktop translations
- new version 3.2.5

* Tue Feb 07 2012 fwang <fwang> 3.2.4-1.mga2
+ Revision: 205738
- new version 3.2.4

* Mon Dec 19 2011 wally <wally> 3.2.3-1.mga2
+ Revision: 184565
- new version 3.2.3

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167781
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155727
- new version 3.2.1

* Fri Sep 30 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 150553
- imported package drwright

